Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.dom
Class RemoveValueLoggable

    java.lang.Object
      org.exist.storage.journal.AbstractLoggable
          org.exist.storage.dom.RemoveValueLoggable

All Implemented Interfaces:
  Loggable

public class RemoveValueLoggable
extends AbstractLoggable

Author:
  wolf

Constructor Summary
`RemoveValueLoggable(DBBroker broker, long transactionId)`
`RemoveValueLoggable(Txn transaction, long pageNum, short tid, int offset, byte[] oldData, boolean isOverflow, long backLink)`

Method Summary
`java.lang.String` | `dump()` Default implementation returns the current LSN plus the class name of the Loggable instance.
`int` | `getLogSize()` Returns the size of the work load of this entry.
`void` | `read(java.nio.ByteBuffer in)` Read the entry.
`void` | `redo()` Redo the underlying operation.
`void` | `undo()` Undo, i.e.
`void` | `write(java.nio.ByteBuffer out)` Write this entry to the specified ByteBuffer.

Methods inherited from class org.exist.storage.journal.AbstractLoggable
`clear, getLogType, getLsn, getTransactionId, setLsn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveValueLoggable

    public RemoveValueLoggable(Txn transaction,
                               long pageNum,
                               short tid,
                               int offset,
                               byte[] oldData,
                               boolean isOverflow,
                               long backLink)

Parameters:
  `transaction` -
  `pageNum` -
  `tid` -
  `offset` -
  `oldData` -
  `isOverflow` -
  `backLink` -

### RemoveValueLoggable

    public RemoveValueLoggable(DBBroker broker,
                               long transactionId)

Method Detail

### write

    public void write(java.nio.ByteBuffer out)

  Description copied from interface: `Loggable`
  Write this entry to the specified ByteBuffer.

  Parameters:
    `out` -

### read

    public void read(java.nio.ByteBuffer in)

  Description copied from interface: `Loggable`
  Read the entry.

  Parameters:
    `in` -

### getLogSize

    public int getLogSize()

  Description copied from interface: `Loggable`
  Returns the size of the work load of this entry.

  Returns:
    size of the work load of this entry.

### redo

    public void redo()
              throws LogException

  Description copied from interface: `Loggable`
  Redo the underlying operation. This method is called by `RecoveryManager`.

  Specified by:
    `redo` in interface `Loggable`
  Overrides:
    `redo` in class `AbstractLoggable`
  Throws:
    `LogException`

### undo

    public void undo()
              throws LogException

  Description copied from interface: `Loggable`
  Undo, i.e. roll back, the underlying operation. The method is called by `RecoveryManager`.

  Specified by:
    `undo` in interface `Loggable`
  Overrides:
    `undo` in class `AbstractLoggable`
  Throws:
    `LogException`

### dump

    public java.lang.String dump()

  Description copied from class: `AbstractLoggable`
  Default implementation returns the current LSN plus the class name of the Loggable instance.

  Specified by:
    `dump` in interface `Loggable`
  Overrides:
    `dump` in class `AbstractLoggable`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.